searchNodes=[{"doc":"Documentation for VatchexGreece .","ref":"VatchexGreece.html","title":"VatchexGreece","type":"module"},{"doc":"Pull information from the web service. Note: the function sanitizes the requested VAT ID using VatchexGreece.Validate.minimize() , checks it using VatchexGreece.Validate.is_valid?() and only sends the request to the API if the minimize d VAT ID is valid. Examples Typically, you will pass a valid 9-digit VAT ID, with or without the &quot;EL&quot; prefix: get ( &quot;123456783&quot; ) # valid (dummy) 9-digit VAT ID get ( &quot;EL123456783&quot; ) # ditto, with &quot;EL&quot; prefix that will get stripped Older VAT IDs only have 8 digits, and will get leading-zero-padded to 9 digits: get ( &quot;11111067&quot; ) # valid (dummy) 8-digit VAT ID","ref":"VatchexGreece.html#get/1","title":"VatchexGreece.get/1","type":"function"},{"doc":"Fix/correct some elements of the response.","ref":"VatchexGreece.Fixes.html","title":"VatchexGreece.Fixes","type":"module"},{"doc":"Apply all fixes, i.e. fix activities list, unquote commercial if quoted, and convert the registration date to YYYY-MM-DD format.","ref":"VatchexGreece.Fixes.html#apply_all/1","title":"VatchexGreece.Fixes.apply_all/1","type":"function"},{"doc":"Process the response and convert it to a map.","ref":"VatchexGreece.Process.html","title":"VatchexGreece.Process","type":"module"},{"doc":"Handle any errors based on the HTTP response content.","ref":"VatchexGreece.Process.html#from_request/1","title":"VatchexGreece.Process.from_request/1","type":"function"},{"doc":"Convert the response to a map if valid, otherwise return an empty map.","ref":"VatchexGreece.Process.html#to_map/1","title":"VatchexGreece.Process.to_map/1","type":"function"},{"doc":"Prepare and post a request to the SOAP web service.","ref":"VatchexGreece.Request.html","title":"VatchexGreece.Request","type":"module"},{"doc":"POST the XML request with proper headers to the SOAP web service.","ref":"VatchexGreece.Request.html#post/1","title":"VatchexGreece.Request.post/1","type":"function"},{"doc":"Prepare the request's XML template based on the settings (username, password, VAT ID you call from) and the input (VAT ID you call for).","ref":"VatchexGreece.Request.html#prepare/1","title":"VatchexGreece.Request.prepare/1","type":"function"},{"doc":"Module with functions used to validate Greek VAT IDs.","ref":"VatchexGreece.Validate.html","title":"VatchexGreece.Validate","type":"module"},{"doc":"Check whether the VAT ID passed (as string) is valid, i.e. it has the correct length (9 total, and only digits), where the last digit is equal to the checksum calculate from the first 8 digits.","ref":"VatchexGreece.Validate.html#is_valid?/1","title":"VatchexGreece.Validate.is_valid?/1","type":"function"},{"doc":"Remove the &quot;EL&quot; or &quot;GR&quot; prefixes if present, remove any whitespace (leading, trailing, or internal), and return the VAT ID's minimal valid representation, including adding a leading &quot;0&quot; in case the provided ID had 8 digits (old format).","ref":"VatchexGreece.Validate.html#minimize/1","title":"VatchexGreece.Validate.minimize/1","type":"function"},{"doc":"An Elixir library to easily pull company information from the SOAP web service of the Greek General Secretariat of Information Systems for Public Administration (GSIS) using the VAT ID (Αριθμός Φορολογικού Μητρώου, abbreviated as &quot;ΑΦΜ&quot; or &quot;Α.Φ.Μ.&quot;).","ref":"readme.html","title":"VatchexGreece","type":"extras"},{"doc":"If available in Hex , the package can be installed by adding vatchex_greece to your list of dependencies in mix.exs : def deps do [ { :vatchex_greece , &quot;~&gt; 0.5.1&quot; } ] end","ref":"readme.html#installation","title":"VatchexGreece - Installation","type":"extras"},{"doc":"Setup VatchexGreece in your config.exs , and define the username , password and afmCalledBy parameters: config :vatchex_greece , :globals , gsis_wsdl_url : &quot;https://www1.gsis.gr/webtax2/wsgsis/RgWsPublic/RgWsPublicPort?wsdl&quot; , xml_template : &quot;priv/request.xml.eex&quot; , username : &quot;&quot; , password : &quot;&quot; , afmCalledBy : &quot;&quot;","ref":"readme.html#configuration","title":"VatchexGreece - Configuration","type":"extras"},{"doc":"The docs can be found at https://hexdocs.pm/vatchex_greece .","ref":"readme.html#documentation","title":"VatchexGreece - Documentation","type":"extras"},{"doc":"[x] Implement core functionality [ ] Publish on hex.pm [ ] Implement testing functions [ ] Parse company activities and clean them up [ ] Set up CI","ref":"readme.html#todo","title":"VatchexGreece - TODO","type":"extras"}]